package zimbra.soap.util;

import java.util.HashMap;

public class ItemDetails extends HashMap
{

    public static final String K_ID                = "id";

    public static final String K_MODIFICATION_DATE = "md";
    public static final String K_FLAGS             = "f";
    public static final String K_FOLDER            = "l";

    public static final String[] keysArray = new String[]
    {
            K_ID, K_MODIFICATION_DATE, K_FLAGS, K_FOLDER
    };

    protected static final Object DEFAULT_ID                = null;
    protected static final Object DEFAULT_MODIFICATION_DATE = "";
    protected static final Object DEFAULT_FLAGS             = "";
    protected static final Object DEFAULT_FOLDER            = "";


    protected static final Object[] defaultValues = new Object[]
    {
            DEFAULT_ID, DEFAULT_MODIFICATION_DATE, DEFAULT_FLAGS, DEFAULT_FOLDER
    };

    public ItemDetails()
    {
        for(int i=0; i<keysArray.length; i++)
            this.put(keysArray[i], defaultValues[i]);
    }

    public ItemDetails(HashMap hm)
    {
        for(int i=0; i<keysArray.length; i++)
            if(hm.containsKey(keysArray[i]))
                this.put(keysArray[i],
                         hm.get(keysArray[i]));
            else
                this.put(keysArray[i],
                         defaultValues[i]);
    }
}
