package sync4j.zimbra.items.dao;

import java.util.logging.Level;
import java.util.logging.Logger;

import sync4j.zimbra.util.Def;
import sync4j.zimbra.util.ZimbraWrapper;

public class EntityDAO
{

    // ------------------------------------------------------------ Private data

    protected Logger log = Logger.getLogger(Def.LOGGER_NAME);

    // -------------------------------------------------------------- Properties

    protected ZimbraWrapper zimbraWrapper = null;
    protected String userId = null;


    /**
     *
     */
    protected EntityDAO() {
        if (log.isLoggable(Level.FINEST)) {
            log.finest("EntityDAO Constructor");
        }
    }

    /**
     * Creates a EntityDAO with the given wrapper
     *
     * @param zimbraWrapper the wrapper to Zimbra
     */
    public EntityDAO(ZimbraWrapper zimbraWrapper) {
        this.zimbraWrapper = zimbraWrapper;
        this.userId = zimbraWrapper.getUserID();
    }
}
