package zimbra.soap.request;

public class AuthRequest {

    private String userName;
    private String password;

    protected AuthRequest() {

    }

    public AuthRequest(String userName, String password) {
        this.userName = userName;
        this.password = password;
    }

    public String toXML() {
        return
                 "<AuthRequest xmlns=\"urn:zimbraAccount\">" +
                   "<account by=\"name\">" + this.userName + "</account>" +
                   "<password>" + this.password + "</password>" +
                 "</AuthRequest>";

    }
}
