package zimbra.soap.response.contact;

import java.util.HashMap;
import zimbra.soap.util.ContactDetails;

/**
 * wraper for a GetContactsResponse soap response
 */

public class GetContactsResponse
{

        /**
         * private member,
         * important information of a GetAccountInfoResponse
         */
        private ContactDetails[] members = null;

        protected GetContactsResponse()
        {

        }

        /**
         * constructor
         *
         * @param hm ContactDetails
         */

        public GetContactsResponse(ContactDetails[] hm)
        {
            this.members = hm;
        }


        public HashMap[] getContactDetails()
        {
            return this.members;
        }

        public String toString() {
            return this.members.toString();
        }
    }
